## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanUTF8Writer Class Reference

`#include <XalanUTF8Writer.hpp>`

Inheritance diagram for XalanUTF8Writer:

[legend]
Collaboration diagram for XalanUTF8Writer:

[legend]
List of all members.

## Public Types

- typedef char value_type

## Public Methods

- XalanUTF8Writer (Writer &writer, MemoryManager &theMemoryManager)
- virtual ~XalanUTF8Writer ()
- void outputNewline ()
    Output a line break. More...
- size_type writeCDATAChar (const XalanDOMChar chars[], size_type start, size_type length, bool &)
- void writeNameChar (const XalanDOMChar *data, size_type theLength)
    Writes name chars , if not presentable, throws. More...
- void writePIChars (const XalanDOMChar *data, size_type theLength)
    Writes name chars , if not presentable, throws. More...
- void writeCommentChars (const XalanDOMChar *data, size_type theLength)
    Writes name chars , if not presentable, throws. More...
- void safeWriteContent (const XalanDOMChar *theChars, XalanDOMString::size_type theLength)
- void write (const value_type *theChars, XalanDOMString::size_type theLength)
- void write (const XalanDOMChar *theChars)
- void write (const XalanDOMString &theChars)
- void write (value_type theChar)
- void write (const XalanDOMChar *theChars, XalanDOMString::size_type theLength)
- size_type write (const XalanDOMChar chars[], XalanDOMString::size_type start, XalanDOMString::size_type length)
- void writeSafe (const XalanDOMChar *theChars, XalanDOMString::size_type theLength)
- void write (const value_type *theChars)
- void flushWriter ()
- void flushBuffer ()

## Member Typedef Documentation

typedef char XalanUTF8Writer::value_type

## Constructor & Destructor Documentation

XalanUTF8Writer::XalanUTF8Writer ( | Writer & writer,
| MemoryManager & theMemoryManager )

XalanUTF8Writer::~XalanUTF8Writer ( | )`[virtual]`

## Member Function Documentation

void XalanUTF8Writer::flushBuffer ( | )

void XalanUTF8Writer::flushWriter ( | )

void XalanUTF8Writer::outputNewline ( | )

| Output a line break.

void XalanUTF8Writer::safeWriteContent ( | const XalanDOMChar * theChars,
| XalanDOMString::size_type theLength )

void XalanUTF8Writer::write ( | const value_type * theChars )

size_type XalanUTF8Writer::write ( | const XalanDOMChar chars[],
| XalanDOMString::size_type start,
| XalanDOMString::size_type length )

void XalanUTF8Writer::write ( | const XalanDOMChar * theChars,
| XalanDOMString::size_type theLength )

void XalanUTF8Writer::write ( | value_type theChar )

void XalanUTF8Writer::write ( | const XalanDOMString & theChars )

void XalanUTF8Writer::write ( | const XalanDOMChar * theChars )

void XalanUTF8Writer::write ( | const value_type * theChars,
| XalanDOMString::size_type theLength )

size_type XalanUTF8Writer::writeCDATAChar ( | const XalanDOMChar chars[],
| size_type start,
| size_type length,
| bool & )

void XalanUTF8Writer::writeCommentChars ( | const XalanDOMChar * data,
| size_type theLength )

| Writes name chars , if not presentable, throws.

void XalanUTF8Writer::writeNameChar ( | const XalanDOMChar * data,
| size_type theLength )

| Writes name chars , if not presentable, throws.

void XalanUTF8Writer::writePIChars ( | const XalanDOMChar * data,
| size_type theLength )

| Writes name chars , if not presentable, throws.

void XalanUTF8Writer::writeSafe ( | const XalanDOMChar * theChars,
| XalanDOMString::size_type theLength )

The documentation for this class was generated from the following file:

- XalanUTF8Writer.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.